Subject: Re: bug#54636: dired fails to update subdirs when files are created/deleted/renamed

From: Eli Zaretskii <[email-masked]>
Date: Wed, 30 Mar 2022 19:42:50 +0300

> From: Tassilo Horn <[email-masked]>
> Cc: [email-masked], [email-masked]
> Date: Wed, 30 Mar 2022 18:29:29 +0200
> 
> > I'll prepare a patch in that direction later.
> 
> Here it is:
> [...]
> I think that's a better approach than changing dired-buffers-for-dir
> which I shouldn't have done in the first place.

If so, can we restore dired-buffers-for-dir to what it was in Emacs
27?  AFAICT, the only difference now is that you use 'when' instead of
just 'and' -- is there a reason for that?

Thanks.